summaryrefslogtreecommitdiffstats
path: root/system/runit/runit.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/runit/runit.SlackBuild')
-rw-r--r--system/runit/runit.SlackBuild56
1 files changed, 37 insertions, 19 deletions
diff --git a/system/runit/runit.SlackBuild b/system/runit/runit.SlackBuild
index f9b83ed6fd..f9b9be5823 100644
--- a/system/runit/runit.SlackBuild
+++ b/system/runit/runit.SlackBuild
@@ -2,64 +2,83 @@
# slackware package build script for runit
# written by David Miller dave at frop dot net
+# 2018, updated by Chris Abela, Malta, <kristofru@gmail.com>
PRGNAM=runit
-VERSION=${VERSION:-2.1.1}
+VERSION=${VERSION:-2.1.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
+set -e
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
-
-mv admin/$PRGNAM-$VERSION $PRGNAM-$VERSION
-rmdir admin
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz --strip-components=1
cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
echo gcc $SLKCFLAGS -Wall > src/conf-cc
package/compile
package/check
-install -d $PKG/usr/bin
-install -m 755 command/* $PKG/usr/bin
-install -D -m0750 etc/2 $PKG/sbin/runsvdir-start
+install -d $PKG/{sbin,usr/bin}
+install -m 755 command/{runit*,utmpset} $PKG/sbin
+install -m 755 command/{chpst,runsv*,sv*} $PKG/usr/bin
+install -m 750 etc/2 $PKG/sbin/runsvdir-start
install -d $PKG/usr/man/man8
install -m 644 man/* $PKG/usr/man/man8
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Proceed with the configuration files. By default we install them.
+if [ "${CONFIG:-yes}" != "no" ]; then
+ # Set up the configuration files
+ tar xvf $CWD/config.tar -C $PKG/ --no-same-owner
+ # Set up the runlevels
+ mkdir -p $PKG/etc/runit/runsvdir/{default,single}/
+ ln -s /etc/sv/agetty-tty1 $PKG/etc/runit/runsvdir/single/
+ ln -s default $PKG/etc/runit/runsvdir/current
+ for N in 1 2 3 4 5 6; do
+ ln -s /etc/sv/agetty-tty${N} $PKG/etc/runit/runsvdir/default/
+ done
+ ln -s /etc/runit/runsvdir/current $PKG/service
+fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a package/CHANGES package/README package/TODO package/COPYING package/THANKS \
@@ -71,4 +90,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-